/*
==========
Variables.
==========
*/

:root {
  --gather-layout-inner-max-width: 2000px;
  --gather-layout-header-height: 6rem;
}

/*
========
Globals.
========
*/

*,
*:after,
*:before {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  border: 0;
  box-sizing: border-box;
  font-size: inherit;
  font-family: inherit;
  line-height: inherit;
  outline-offset: 2px;
  text-wrap: pretty;
  margin: 0;
  padding: 0;
}

html {
  cursor: default;
  font-size: 8px;
  overflow-x: hidden;
  overflow-y: auto;
}

body {
  color: #242424;
  background-color: #fff;
  font-family: "Segoe UI", -apple-system, BlinkMacSystemFont, "Helvetica", "Arial", sans-serif;
  font-size: 2rem;
  line-height: 1.4;
  overflow-x: hidden;
}

h1 {
  font-size: 4rem;
  font-style: normal;
  font-weight: 600;
  line-height: 1.25;
}

h2 {
  font-size: 2.5rem;
  font-weight: 600;
}

button {
  appearance: none;
  background-color: transparent;
  cursor: pointer;
}

/*
=======
Layout.
=======
*/

.gather-layout {
  background-image: linear-gradient(
    to bottom right,
    #fef,
    #fff,
    #fef
  );
  display: flex;
  flex-direction: column;
  min-height: 100dvh;
}

/*
===============
Layout: header.
===============
*/

.gather-layout__header {
  backdrop-filter: blur(30px);
  background-image: linear-gradient(
    #fff,
    rgba(255, 255, 255, 0.4)
  );
  padding-left: 2rem;
  padding-right: 2rem;
  width: 100%;
  z-index: 2;
  position: fixed;
  top: 0;
  left: 0;
}

.gather-layout__header__inner {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-left: auto;
  margin-right: auto;
  max-width: var(--gather-layout-inner-max-width);
  height: var(--gather-layout-header-height);
}

.gather-layout__header__title {
  display: flex;
  align-items: center;
  gap: 1rem;
  font-weight: 600;
  margin-right: auto;
  color: inherit;
  text-decoration: none;
}

.gather-layout__header__title__image {
  width: 3rem;
  height: 3rem;
}

/*
=============
Layout: main.
=============
*/

.gather-layout__main {
  padding-left: 2rem;
  padding-right: 2rem;
  padding-top: var(--gather-layout-header-height);
}

@media (min-width: 1050px) {
  .gather-layout__main {
    padding-left: 4rem;
    padding-right: 4rem;
  }
}

.gather-layout__main__inner {
  display: flex;
  flex-direction: column;
  gap: 6rem;
  margin-left: auto;
  margin-right: auto;
  max-width: var(--gather-layout-inner-max-width);
  width: 100%;
}

/*
==========
Hero grid.
==========
*/

.gather-hero {
  margin-left: -2rem;
  margin-right: -2rem;
  position: relative;
}

.gather-hero__media {
  margin-bottom: 2rem;
  position: relative;
}

.gather-hero__media__inner {
  background-color: #d0d1e0;
  height: 300px;
  overflow: hidden;
}

.gather-hero__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 4rem;
  padding-left: 2rem;
  padding-right: 2rem;
}

.gather-hero__content__text {
  display: flex;
  flex-direction: column;
  align-self: start;
  gap: 1rem;
}

.gather-hero__content__text p {
  font-size: 3rem;
  font-weight: 300;
  line-height: normal;
}

@media (min-width: 700px) {
  .gather-hero__media {
    margin-bottom: 0;
  }

  .gather-hero__media__inner {
    height: 630px;
  }

  .gather-hero__content {
    padding-top: var(--gather-layout-header-height);
    padding-left: 8rem;
    padding-right: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }
}

@media (min-width: 1050px) {
  .gather-hero {
    margin-left: -4rem;
    margin-right: -4rem;
  }

  .gather-hero__content__text {
    max-width: 45%;
  }
}

/*
========
Buttons.
========
*/

.gather-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  color: #000;
  background-color: #fff;
  border-color: #d1d1d1;
  border-radius: 999px;
  border-style: solid;
  border-width: 1px;
  font-weight: 600;
  text-align: start;
  text-decoration: none;
  padding-top: 0.75rem;
  padding-left: 1.75rem;
  padding-right: 1.75rem;
  padding-bottom: 0.75rem;
  transition-duration: 0.25s;
  transition-property: color, background-color, border-color;
}

.gather-button:hover {
  background-color: #f5f5f5;
  border-color: #c7c7c7;
}

.gather-button--small {
  font-size: 1.5rem;
  padding-top: 0.5rem;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
  padding-bottom: 0.5rem;
}

.gather-button--large {
  gap: 1rem;
  line-height: 3.5rem;
  padding-top: 2rem;
  padding-left: 2.5rem;
  padding-right: 2.5rem;
  padding-bottom: 2rem;
}

.gather-button--primary {
  color: #fff;
  background-color: #5b5fc7;
  border-color: transparent;
}

.gather-button--primary:hover {
  background-color: #4f52b2;
}

/*
=============
Button group.
=============
*/

.gather-button-group {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

@media (min-width: 700px) {
  .gather-button-group {
    flex-direction: row;
  }
}

/*
==========
Bento grid.
==========
*/

.gather-bento-grid {
  display: grid;
  gap: 2rem;
  font-size: 2.5rem;
  font-weight: 350;
}

@media (min-width: 700px) {
  .gather-bento-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 1024px) {
  .gather-bento-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}

.gather-bento-grid__item {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  background-color: #fff;
  border-color: #f0f0f0;
  border-radius: 2rem;
  border-style: solid;
  border-width: 1px;
  padding-top: 4rem;
  padding-left: 4rem;
  padding-right: 4rem;
  padding-bottom: 4rem;
  transition-duration: 0.25s;
  transition-property: border-color, box-shadow;
}

@media (min-width: 1024px) {
  .gather-bento-grid__item--large {
    grid-column: span 2;
  }
}

.gather-icon-circle {
  background-color: #f6f6f6;
  border-color: transparent;
  border-radius: 50%;
  border-style: solid;
  border-width: 1px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 64px;
  height: 64px;
}

.gather-icon-circle > svg {
  width: 32px;
  height: 32px;
}

.gather-icon-circle--light {
  background-color: rgba(255, 255, 255, 0.3);
}

.gather-icon-with-heading {
  display: grid;
  align-items: center;
  gap: 2rem;
}

.gather-icon-with-heading__text {
  display: flex;
  flex-direction: column;
}

.gather-bento-image {
  display: block;
  width: 80%;
  height: auto;
  transition-duration: 0.4s;
  transition-property: transform;
}

@media (max-width: 699.9px) {
  .gather-hide-when-media-mobile {
    display: none !important;
  }
}

@media (min-width: 700px) {
  .gather-hide-when-media-desktop {
    display: none !important;
  }
}
